API Reference

All endpoints are organized by resource. Use Swagger to run requests and review parameter, request body, and response schemas. The base URL is https://app.innorix.com.

Auth

MethodPathDescription
POST/api/auth/api-keysCreate API key
DELETE/api/auth/api-keysRevoke API key
POST/api/auth/loginUser login
POST/api/auth/logoutLogout
GET/api/auth/meGet current user
PATCH/api/auth/meUpdate account information
POST/api/auth/tokenRefresh session token (deprecated alias)
POST/api/auth/token/refreshRefresh session token

Device

MethodPathDescription
GET/api/devicesList devices
GET/api/devices/resolveResolve deviceId by name/IP/MAC/host
GET/api/devices/{deviceId}Get device details
PATCH/api/devices/{deviceId}Update device information
DELETE/api/devices/{deviceId}Delete device
GET/api/devices/{deviceId}/connectivityGet connectivity status
GET/api/devices/{deviceId}/path-statsGet path file count and total size
GET/api/devices/{deviceId}/transfer-historyGet device transfer history (cursor pagination)
POST/api/devices/{deviceId}/restartRestart device
POST/api/devices/{deviceId}/update-agentUpdate agent

Device Files (Explorer)

MethodPathDescription
GET/api/devices/{deviceId}/filesList folders (non-streaming)
POST/api/devices/{deviceId}/files/copyCopy files
POST/api/devices/{deviceId}/files/deleteDelete files
POST/api/devices/{deviceId}/files/foldersCreate folder
POST/api/devices/{deviceId}/files/moveMove file (cut)
POST/api/devices/{deviceId}/files/renameRename
POST/api/devices/{deviceId}/files/searchStart file/folder search (pagination)
GET/api/devices/{deviceId}/files/searchGet next file-search batch (cursor)
POST/api/devices/{deviceId}/files/search/cancelCancel search

Device Groups

MethodPathDescription
GET/api/device-groupsGet all device groups

Hot Folder

MethodPathDescription
PATCH/api/hot-folder-groups/{groupId}Update Hot Folder group
DELETE/api/hot-folder-groups/{groupId}Delete Hot Folder group
GET/api/hot-foldersList Hot Folders
POST/api/hot-foldersCreate Hot Folder
POST/api/hot-folders/bulk-deleteDelete multiple Hot Folders
GET/api/hot-folders/{hotFolderId}Get Hot Folder details
PATCH/api/hot-folders/{hotFolderId}Update Hot Folder
DELETE/api/hot-folders/{hotFolderId}Delete Hot Folder

Transfer

MethodPathDescription
GET/api/transfersList active transfers (cursor pagination)
POST/api/transfers/bulk-cancelCancel multiple transfers
POST/api/transfers/validate-pathValidate transfer path
GET/api/transfers/{monitorId}Get transfer details (including progress and estimate)
GET/api/transfers/{monitorId}/automation-detailGet transfer automation details
POST/api/transfers/{monitorId}/cancelCancel transfer
GET/api/transfers/{monitorId}/filesList transfer files
POST/api/transfers/{monitorId}/pausePause transfer
PATCH/api/transfers/{monitorId}/priorityChange queue priority
POST/api/transfers/{monitorId}/replayReplay transfer
GET/api/transfers/{monitorId}/replay-dataGet replay configuration
POST/api/transfers/{monitorId}/resumeResume transfer
POST/api/transfers/{monitorId}/retryRetry failed files
GET/api/transfers/{monitorId}/verificationGet integrity verification results
POST/api/transfers/{monitorId}/verificationStart integrity verification

Transfer History

MethodPathDescription
GET/api/transfer-historyList transfer history (cursor pagination)
GET/api/transfer-history/exportExport transfer history CSV
GET/api/transfer-history/{monitorId}Get transfer history details

Automation

MethodPathDescription
GET/api/automation-details/{detailId}/next-schedulesGet next schedule for automation detail
GET/api/automationsList automations
POST/api/automationsCreate automation
GET/api/automations/{automationId}Get automation details
PATCH/api/automations/{automationId}Update automation
DELETE/api/automations/{automationId}Delete automation
GET/api/automations/{automationId}/detailsGet automation details (progress · OS)
GET/api/automations/{automationId}/executionsGet automation execution logs
POST/api/automations/{automationId}/pausePause/Resume automation

Automation Component (Flow)

MethodPathDescription
POST/api/automation-componentsCreate Flow
GET/api/automation-components/{componentId}Get Flow details
PATCH/api/automation-components/{componentId}Update Flow
DELETE/api/automation-components/{componentId}Delete Flow
GET/api/automation-details/{detailId}/componentsGet Flow for automation detail

Command Automation (URL Request)

MethodPathDescription
POST/api/command/generate-codeIssue Command Automation (URL Request) trigger code
GET/api/command/generate-api-keyIssue Command Automation (URL Request) API key
GET/command/{code}Command Automation external trigger
POST/command/{code}Command Automation external trigger (default UI method)

Integration

MethodPathDescription
GET/api/integrationsList integrations
POST/api/integrationsCreate integration
GET/api/integrations/rulesGet all integration rules
GET/api/integrations/rules/{type}Get rules by type
PATCH/api/integrations/{integrationId}Update integration
DELETE/api/integrations/{integrationId}Delete integration